org.apache.lucene.luke.util.reflection

## Class ClassScanner

- java.lang.Object
- - org.apache.lucene.luke.util.reflection.ClassScanner

    public class ClassScanner
    extends Object

Utility class for scanning class files in jars.

### Constructor Summary

Constructors
Constructor and Description
`ClassScanner(String packageName, ClassLoader... classLoaders)`

### Method Summary

All Methods Instance Methods Concrete Methods
`<T> Set<Class<? extends T>>` `scanSubTypes(Class<T> superType)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ClassScanner

    public ClassScanner(String packageName,
                        ClassLoader... classLoaders)

### Method Detail

#### scanSubTypes

    public <T> Set<Class<? extends T>> scanSubTypes(Class<T> superType)